<bugID>382195<Summary>"show all bookmark folders" button is slow when we're opening to the bookmarks root</Summary><Description>"show all bookmark folders" button is slow when we're opening to the bookmarks root

for the common case, we recurse the whole tree in selectFolders() when what we want is really the first thing we pass in.

see also bug #381750 for a similar perf issue.

patch coming.</Description></bugID>